Ok for all you Slackware, and Fluxbox fans out there . There seems to be a problem with X-Chat loading perl scripts if your using Slackware 8.1, and Fluxbox as your window manager. In short X-Chat crashes with a Segmentation fault. This little bug does not crop up if your using any version of Slackware prior to 8.1.

Now for the fix. This is a workaround, and it'll get you by if you really need Fluxbox like me ;D. Ok what it entails:

1.) d/l the X-Chat source code from http://www.xchat.org
2.) configure X-Chat with ./configure --disable-gnome
3.) make; make install (Need to be root to make install)

Now you should be able to use the wonderful window manager Fluxbox, and have X-Chat use perl scripts without any further problems. Congratulations!!!